Bug 1108129 - php-doctrine-orm-2.4.6 is available
Summary: php-doctrine-orm-2.4.6 is available
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: php-doctrine-orm
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Shawn Iwinski
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-06-11 13:06 UTC by Upstream Release Monitoring
Modified: 2014-11-01 22:34 UTC (History)
3 users (show)

Fixed In Version: php-doctrine-orm-2.4.6-1.el6
Doc Type: Enhancement
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-10-28 06:34:03 UTC
Type: ---


Attachments (Terms of Use)

Description Upstream Release Monitoring 2014-06-11 13:06:51 UTC
Latest upstream release: 2.4.3
Current version/release in Fedora Rawhide: 2.4.2-3.fc21
URL: https://github.com/doctrine/doctrine2/tags

Please consult the package updates policy before you issue an update to a stable branch: https://fedoraproject.org/wiki/Updates_Policy

More information about the service that created this bug can be found at:
https://fedoraproject.org/wiki/Upstream_release_monitoring

Comment 1 Shawn Iwinski 2014-06-21 02:18:38 UTC
@Remi

This latest release appears to have fixed the issue you patched for bug #1103219 [ http://pkgs.fedoraproject.org/cgit/php-doctrine-orm.git/commit/?id=bd8e1f31db0de633a686cd402ff72a3e8b341e29 ].  Read through the conversation at https://github.com/doctrine/doctrine2/pull/1045 .  Please confirm that this version contains the fix you required and I will update the package and remove the patch.

Comment 2 Remi Collet 2014-06-22 08:05:45 UTC
The code in upstream 2.4.3 is broken.

Fix proposal:

-            if (PHP_VERSION_ID === 50429 || PHP_VERSION_ID === 50513) {
+            if (version_compare(PHP_VERSION, '5.4') >= 0) {

unserialize(sprintf('O:%d:"%s":0:{}'...) is just an awfull hack which shouldn't exist.. and should be used as less as possible.

Perhaps it will be usable again in 5.4.30/5.5.14, but in all case it will not be supported anymore in PHP 5.6+

Perhaps checking for internal class will be better (not tested)

-   if (PHP_VERSION_ID === 50429 || PHP_VERSION_ID === 50513) {
+   if (version_compare(PHP_VERSION, '5.4') >= 0 
+       && !$this->reflClass->isInternal()) {

Comment 4 Upstream Release Monitoring 2014-07-11 08:46:52 UTC
Latest upstream release: 2.4.4
Current version/release in Fedora Rawhide: 2.4.2-4.fc21
URL: https://github.com/doctrine/doctrine2/tags

Please consult the package updates policy before you issue an update to a stable branch: https://fedoraproject.org/wiki/Updates_Policy

More information about the service that created this bug can be found at:
https://fedoraproject.org/wiki/Upstream_release_monitoring

Comment 5 Remi Collet 2014-09-11 14:24:01 UTC
Probably the simple way to fix instantiator issue is to used the new doctrine/instantiator which will be shared by doctrine and phpunit.

See https://github.com/doctrine/doctrine2/commit/361ec2a474d78168473fb82a041f32c4b7665643

Comment 6 Upstream Release Monitoring 2014-09-23 08:39:05 UTC
Latest upstream release: 2.4.5
Current version/release in Fedora Rawhide: 2.4.2-4.fc21
URL: https://github.com/doctrine/doctrine2/tags

Please consult the package updates policy before you issue an update to a stable branch: https://fedoraproject.org/wiki/Updates_Policy


More information about the service that created this bug can be found at:
https://fedoraproject.org/wiki/Upstream_release_monitoring Soon this service will be implemented by a new system: https://github.com/fedora-infra/anitya/
It will require to manage monitored projects via a new web interface. Please make yourself familiar with the new system to ease the transition.

Comment 7 Johan Cwiklinski 2014-10-01 06:29:25 UTC
I've tested the patch Remi provides on my work app, that solves the issues that appears upgrading to PHP 5.6; ty :)

Comment 8 Upstream Release Monitoring 2014-10-08 12:02:07 UTC
Latest upstream release: 2.4.6
Current version/release in Fedora Rawhide: 2.4.2-4.fc21
URL: https://github.com/doctrine/doctrine2/tags

Please consult the package updates policy before you issue an update to a stable branch: https://fedoraproject.org/wiki/Updates_Policy


More information about the service that created this bug can be found at:
https://fedoraproject.org/wiki/Upstream_release_monitoring Soon this service will be implemented by a new system: https://github.com/fedora-infra/anitya/
It will require to manage monitored projects via a new web interface. Please make yourself familiar with the new system to ease the transition.

Comment 9 Remi Collet 2014-10-08 12:40:00 UTC
@Shawn 2.4.6 fix compatibility with PHP 5.6
(even if I don't really like their solution)

Comment 10 Fedora Update System 2014-10-14 23:34:52 UTC
php-doctrine-orm-2.4.6-1.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/php-doctrine-orm-2.4.6-1.fc19

Comment 11 Fedora Update System 2014-10-14 23:34:57 UTC
php-doctrine-orm-2.4.6-1.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/php-doctrine-orm-2.4.6-1.fc20

Comment 12 Fedora Update System 2014-10-14 23:35:03 UTC
php-doctrine-orm-2.4.6-1.el7 has been submitted as an update for Fedora EPEL 7.
https://admin.fedoraproject.org/updates/php-doctrine-orm-2.4.6-1.el7

Comment 13 Fedora Update System 2014-10-14 23:35:08 UTC
php-doctrine-orm-2.4.6-1.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/php-doctrine-orm-2.4.6-1.el6

Comment 14 Fedora Update System 2014-10-14 23:35:14 UTC
php-doctrine-orm-2.4.6-1.fc21 has been submitted as an update for Fedora 21.
https://admin.fedoraproject.org/updates/php-doctrine-orm-2.4.6-1.fc21

Comment 15 Shawn Iwinski 2014-10-14 23:49:44 UTC
(In reply to Johan Cwiklinski from comment #7)
> I've tested the patch Remi provides on my work app, that solves the issues
> that appears upgrading to PHP 5.6; ty :)

(In reply to Remi Collet from comment #9)
> @Shawn 2.4.6 fix compatibility with PHP 5.6
> (even if I don't really like their solution)

THANKS guys!

As an extra bonus, unit tests are now included :)

Comment 16 Fedora Update System 2014-10-16 17:19:30 UTC
Package php-doctrine-orm-2.4.6-1.fc21:
* should fix your issue,
* was pushed to the Fedora 21 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing php-doctrine-orm-2.4.6-1.fc21'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2014-12956/php-doctrine-orm-2.4.6-1.fc21
then log in and leave karma (feedback).

Comment 17 Fedora Update System 2014-10-28 06:34:03 UTC
php-doctrine-orm-2.4.6-1.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 18 Fedora Update System 2014-10-28 06:41:29 UTC
php-doctrine-orm-2.4.6-1.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 19 Fedora Update System 2014-11-01 16:45:13 UTC
php-doctrine-orm-2.4.6-1.fc21 has been pushed to the Fedora 21 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 20 Fedora Update System 2014-11-01 22:33:57 UTC
php-doctrine-orm-2.4.6-1.el7 has been pushed to the Fedora EPEL 7 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 21 Fedora Update System 2014-11-01 22:34:36 UTC
php-doctrine-orm-2.4.6-1.el6 has been pushed to the Fedora EPEL 6 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.